
#-*- coding:UTF-8 -*-
# Copyright (C) 2003  Pedro Werneck
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#


# The list of users available at the server (recipients)

USERS = ['root', 'admin', 'joe_doe']

# Strings dictionary available
#
# host      -> Client host
# port      -> Client port
# server    -> Server hostname
# action    -> Last action
# arg       -> Current arg

# You can use any of these keys to insert substrings inside these
# strings. Keep in mind that action is the latest command sent by the
# client and arg is the argument used for that command
#
# Single line responses should be a single string. Multi-line
# responses should be a list or tuple containing the strings

CONN_ESTABLISHED = "220 %(server)s ESMTP Sendmail 8.12.8/8.12.4;"

CONN_LOST = "221 2.0.0 %(host)s closing connection,"

MSG_ACCEPTED = "250 2.0.0 h63LTIBT022959 Message accepted for delivery"

HELO_FAIL = "501 5.0.0 helo requires domain address"

HELO_OK = "250 ashmedai.peace Hello %(host)s, pleased to meet you"

EHLO_FAIL = "501 5.0.0 ehlo requires domain address"

EHLO_OK = ["250-%(server)s Hello %(host)s, pleased to meet you",
           "250-ENHANCEDSTATUSCODES",
           "250-PIPELINING",
           "250-8BITMIME",
           "250-SIZE",
           "250-DSN",
           "250-ETRN",
           "250-DELIVERBY ",
           "250 HELP"]

MAIL_NOT_HELO = "503 5.0.0 Polite people say HELO first"

MAIL_SENDER_SPECIFIED = "503 5.5.0 Sender already specified"

MAIL_INVALID_ARGS = "501 5.5.2 Syntax error in parameters scanning"

MAIL_INVALID_DOMAIN = "553 5.5.4 %(arg)s... Domain name required for sender address %(arg)s"

MAIL_SENDER_OK = "250 2.1.0 %(arg)s... Sender ok"

RCPT_NEED_MAIL = "503 5.0.0 Need MAIL before RCPT"

RCPT_INVALID_ARGS = "501 5.5.2 Syntax error in parameters scanning %(arg)s"

RCPT_USER_UNKNOWN = "550 5.1.1 %(arg)s... User unknown"

RCPT_RECIPIENT_OK = "250 2.1.5 %(arg)s... Recipient ok"

DATA_NEED_MAIL = "503 5.0.0 Need MAIL command"

DATA_NEED_RECIPIENT = "503 5.0.0 Need RCPT (recipient)"

DATA_OK = "354 Enter mail, end with \".\" on a line by itself"

RESET = "250 2.0.0 Reset state"

VERB = "502 5.7.0 Verbose unavailable"

NOOP = "250 2.0.0 OK"

QUIT = "221 2.0.0 %(server)s closing connection"

VRFY = "252 2.5.2 Cannot VRFY user; try RCPT to attempt delivery (or try finger)"

EXPN = "502 5.7.0 Sorry, we do not allow this operation"

ETRN_NO_ARGS = "500 5.5.2 Parameter required"

ERROR = "500 5.5.1 Command unrecognized: %(arg)s"

# Help Topics

HELP_NO_ARGS = ["214-2.0.0 This is sendmail version 8.12.8",
                "214-2.0.0 Topics:",
                "214-2.0.0       HELO    EHLO    MAIL    RCPT    DATA",
                "214-2.0.0       RSET    NOOP    QUIT    HELP    VRFY",
                "214-2.0.0       EXPN    VERB    ETRN    DSN     AUTH",
                "214-2.0.0       STARTTLS",
                "214-2.0.0 For more info use \"HELP <topic>\".",
                "214-2.0.0 To report bugs in the implementation send email to",
                "214-2.0.0       sendmail-bugs@sendmail.org.",
                "214-2.0.0 For local information send email to Postmaster at your site.",
                "214 2.0.0 End of HELP info"]

HELP_INVALID_TOPIC = "504 5.3.0 HELP topic \"%(arg)s\" unknown"

HELP_EHLO =  ["214-2.0.0 EHLO <hostname>",
              "214-2.0.0       Introduce yourself, and request extended SMTP mode.",
              "214-2.0.0 Possible replies include:",
              "214-2.0.0       SEND            Send as mail                    [RFC821]",
              "214-2.0.0       SOML            Send as mail or terminal        [RFC821]",
              "214-2.0.0       SAML            Send as mail and terminal       [RFC821]",
              "214-2.0.0       EXPN            Expand the mailing list         [RFC821]",
              "214-2.0.0       HELP            Supply helpful information      [RFC821]",
              "214-2.0.0       TURN            Turn the operation around       [RFC821]",
              "214-2.0.0       8BITMIME        Use 8-bit data                  [RFC1652]",
              "214-2.0.0       SIZE            Message size declaration        [RFC1870]",
              "214-2.0.0       VERB            Verbose                         [Allman]",
              "214-2.0.0       CHUNKING        Chunking                        [RFC1830]",
              "214-2.0.0       BINARYMIME      Binary MIME                     [RFC1830]",
              "214-2.0.0       PIPELINING      Command Pipelining              [RFC1854]",
              "214-2.0.0       DSN             Delivery Status Notification    [RFC1891]",
              "214-2.0.0       ETRN            Remote Message Queue Starting   [RFC1985]",
              "214-2.0.0       STARTTLS        Secure SMTP                     [RFC2487]",
              "214-2.0.0       AUTH            Authentication                  [RFC2554]",
              "214-2.0.0       ENHANCEDSTATUSCODES     Enhanced status codes   [RFC2034]",
              "214-2.0.0       DELIVERBY       Deliver By                      [RFC2852]",
              "214 2.0.0 End of HELP info"]

HELP_QUIT = ["214-2.0.0 QUIT",
             "214-2.0.0       Exit sendmail (SMTP).",
             "214 2.0.0 End of HELP info"]

HELP_ETRN = ["214-2.0.0 ETRN [ <hostname> | @<domain> |",
             "214-2.0.0       Run the queue for the specified <hostname>, or",
             "214-2.0.0       all hosts within a given <domain>, or a specially-named",
             "214-2.0.0       <queuename> (implementation-specific).",
             "214 2.0.0 End of HELP info"]

HELP_HELP = ["214-2.0.0 HELP [ <topic> ]",
             "214-2.0.0       The HELP command gives help info.",
             "214 2.0.0 End of HELP info"]

HELP_STARTTLS = ["214-2.0.0 STARTTLS",
                 "214-2.0.0       Start TLS negotiation.",
                 "214 2.0.0 End of HELP info"]

HELP_RSET = ["214-2.0.0 RSET",
             "214-2.0.0       Resets the system.",
             "214 2.0.0 End of HELP info"]

HELP_DSN = ["214-2.0.0 MAIL FROM: <sender> [ RET={ FULL | HDRS} ] [ ENVID=<envid> ]",
            "214-2.0.0 RCPT TO: <recipient> [ NOTIFY={NEVER,SUCCESS,FAILURE,DELAY} ]",
            "214-2.0.0                    [ ORCPT=<recipient> ]",
            "214-2.0.0       SMTP Delivery Status Notifications.",
            "214-2.0.0 Descriptions:",
            "214-2.0.0       RET     Return either the full message or only headers.",
            "214-2.0.0       ENVID   Sender's \"envelope identifier\" for tracking.",
            "214-2.0.0       NOTIFY  When to send a DSN. Multiple options are OK, comma-",
            "214-2.0.0               delimited. NEVER must appear by itself.",
            "214-2.0.0       ORCPT   Original recipient.",
            "214 2.0.0 End of HELP info"]

HELP_VERB = ["214-2.0.0 VERB",
             "214-2.0.0       Go into verbose mode.  This sends 0xy responses that are",
             "214-2.0.0       not RFC821 standard (but should be)  They are recognized",
             "214-2.0.0       by humans and other sendmail implementations.",
             "214 2.0.0 End of HELP info"]

HELP_NOOP = ["214-2.0.0 NOOP",
             "214-2.0.0       Do nothing.",
             "214 2.0.0 End of HELP info"]

HELP_EXPN = ["214-2.0.0 EXPN <recipient>",
             "214-2.0.0       Expand an address.  If the address indicates a mailing",
             "214-2.0.0       list, return the contents of that list.",
             "214 2.0.0 End of HELP info"]

HELP_MAIL = ["214-2.0.0 MAIL FROM: <sender> [ <parameters> ]",
             "214-2.0.0       Specifies the sender.  Parameters are ESMTP extensions.",
             "214-2.0.0       See \"HELP DSN\" for details.",
             "214 2.0.0 End of HELP info"]

HELP_HELO = ["214-2.0.0 HELO <hostname>",
             "214-2.0.0       Introduce yourself.",
             "214 2.0.0 End of HELP info"]

HELP_AUTH = ["214-2.0.0 AUTH mechanism [initial-response]",
             "214-2.0.0       Start authentication.",
             "214 2.0.0 End of HELP info"]

HELP_DATA = ["214-2.0.0 DATA",
             "214-2.0.0       Following text is collected as the message.",
             "214-2.0.0       End with a single dot.",
             "214 2.0.0 End of HELP info"]

HELP_RCPT = ["214-2.0.0 RCPT TO: <recipient> [ <parameters> ]",
             "214-2.0.0       Specifies the recipient.  Can be used any number of times.",
             "214-2.0.0       Parameters are ESMTP extensions.  See \"HELP DSN\" for details.",
             "214 2.0.0 End of HELP info"]

HELP_VRFY = ["214-2.0.0 VRFY <recipient>",
             "214-2.0.0       Verify an address.  If you want to see what it aliases",
             "214-2.0.0       to, use EXPN instead.",
             "214 2.0.0 End of HELP info"]

